Bug 545132 - Review Request: yajl - Yet Another JSON Library
Review Request: yajl - Yet Another JSON Library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-07 12:50 EST by Daniel Berrange
Modified: 2009-12-09 19:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-09 19:25:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rjones: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2009-12-07 12:50:46 EST
Spec URL: http://berrange.fedorapeople.org/review/yajl.spec
SRPM URL: http://berrange.fedorapeople.org/review/yajl-1.0.7-1.fc12.src.rpm
Description: 
Yet Another JSON Library. YAJL is a small event-driven
(SAX-style) JSON parser written in ANSI C, and a small
validating JSON generator.
Comment 1 Daniel Berrange 2009-12-07 12:51:55 EST
RPMLint from a Fedora 12 i686 host

$ rpmlint  yajl.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$ rpmlint /home/berrange/rpm/SRPMS/yajl-1.0.7-1.fc12.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint /home/berrange/rpm/RPMS/i686/yajl-1.0.7-1.fc12.i686.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint /home/berrange/rpm/RPMS/i686/yajl-devel-1.0.7-1.fc12.i686.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

And a scratch build passes on all architectures

http://koji.fedoraproject.org/koji/taskinfo?taskID=1860375
Comment 2 Richard W.M. Jones 2009-12-08 05:13:37 EST
+ rpmlint output
  (no errors or warnings)
+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
  3 clause, new BSD, no advertising
+ license matches the actual package license
+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
+ package successfully builds on at least one architecture
  built in Koji
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
+ binary RPM with shared library files must call ldconfig in %post and %postun
+ does not use Prefix: /usr
+ package owns all directories it creates
  /usr/include/yajl
+ no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
  COPYING ChangeLog README TODO
+ header files should be in -devel
n/a static libraries should be in -static
+ libfoo.so must go in -devel
+ -devel must require the fully versioned base
+ packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8
- use %global instead of %define

Optional:

n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if available
+ reviewer should build the package in mock
+ the package should build into binary RPMs on all supported architectures
- review should test the package functions as described
+ scriptlets should be sane
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or /usr/sbin

---------

Please change %define githash ... to %global githash ...  Apart from
that, the package looks OK.
Comment 4 Richard W.M. Jones 2009-12-08 09:34:09 EST
APPROVED by rjones.
Comment 5 Daniel Berrange 2009-12-08 11:04:09 EST
New Package CVS Request
=======================
Package Name: yajl
Short Description: Yet Another JSON Library
Owners: berrange
Branches: F-12
InitialCC: virtmaint
Comment 6 Kevin Fenzi 2009-12-09 12:50:09 EST
cvs done.
Comment 7 Daniel Berrange 2009-12-09 19:25:37 EST
Built into rawhide

Note You need to log in before you can comment on or make changes to this bug.